ppthch Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
ppthch Module Reference
Collaboration diagram for ppthch:

## Data Fields
double precision | rr
| perfect gas constant in More...
double precision | trefth
| reference temperature for the specific physics, in K More...
double precision | prefth
| reference pressure for the specific physics, in Pa More...
double precision | volmol
| molar volume under normal pressure and temperature conditions (1 atmosphere, 0 ) in More...
integer | ngazgm
| maximal number of global species More...
integer | ngazem
| maximal number of elementary gas components More...
integer | npot
| maximal number of tabulation points More...
integer | natom
| maximal number of atomic species More...
integer | nrgazm
| maximal number of global reactions in gas phase More...
integer | iatc
integer | iath
integer | iato
integer | iatn
integer | iats
integer, save | npo
| number of tabulation points More...
integer, save | ngaze
| number of elementary gas components More...
integer, save | ngazg
| number of global species More...
integer, save | nato
| number of atomic species More...
integer, save | nrgaz
| number of global reactions in gas phase More...
double precision, dimension(npot), save | th
| temperature (in K) More...
double precision, dimension(ngazem, npot), save | ehgaze
| engaze(ij) is the massic enthalpy (J/kg) of the i-th elementary gas component at temperature th(j) More...
double precision, dimension(ngazgm, npot), save | ehgazg
| engazg(ij) is the massic enthalpy (J/kg) of the i-th global secies at temperature th(j) More...
double precision, dimension(ngazem), save | wmole
| molar mass of an elementary gas component More...
double precision, dimension(ngazgm), save | wmolg
| molar mass of a global species More...
double precision, dimension(natom), save | wmolat
| molar mass of atoms More...
double precision, dimension(ngazgm, nrgazm), save | stoeg
| Stoichiometry in reaction global species. Negative for the reactants, and positive for the products. More...
double precision, dimension(nrgazm), save | fs
| Mixing rate at the stoichiometry. More...
double precision, dimension(ngazgm), save | ckabsg
| Absorption coefficient of global species. More...
double precision, save | ckabs1
| Absorption coefficient of gas mixture. More...
double precision, save | diftl0
| molecular diffusivity for the enthalpy ( ) for gas or coal combustion (the code then automatically sets visls0 to diftl0 for the scalar representing the enthalpy). More...
double precision, save | xco2
| Molar coefficient of CO2. More...
double precision, save | xh2o
| Molar coefficient of H2O. More...

The documentation for this module was generated from the following file:

- src/pprt/ppthch.f90